/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for OphthalmicImagePosition
 */
public enum EnumCM_OphthalmicImagePosition 
{
	//CID 4207 Ophthalmic Image Position
		DIABETIC_RETINOPATHY_STUDY_FIELD_1("Diabetic Retinopathy Study field 1"),
		DIABETIC_RETINOPATHY_STUDY_FIELD_2("Diabetic Retinopathy Study field 2"),
		DIABETIC_RETINOPATHY_STUDY_FIELD_3("Diabetic Retinopathy Study field 3"),
		DIABETIC_RETINOPATHY_STUDY_FIELD_4("Diabetic Retinopathy Study field 4"),
		DIABETIC_RETINOPATHY_STUDY_FIELD_5("Diabetic Retinopathy Study field 5"),
		DIABETIC_RETINOPATHY_STUDY_FIELD_6("Diabetic Retinopathy Study field 6"),
		DIABETIC_RETINOPATHY_STUDY_FIELD_7("Diabetic Retinopathy Study field 7"),
		FIELD_1_FOR_JOSLIN3_FIELD("Field 1 for Joslin3 field"),
		FIELD_2_FOR_JOSLIN_3_FIELD("Field 2 for Joslin 3 field"),
		FIELD_3_FOR_JOSLIN_3_FIELD("Field 3 for Joslin 3 field"),
		MACULA_CENTERED("Macula centered"),
		DISC_CENTERED("Disc centered"),
		LESION_CENTERED("Lesion centered"),
		DISC_MACULA_CENTERED("Disc-macula centered"),
		MID_PERIPHERAL_SUPERIOR("Mid-peripheral-superior"),
		MID_PERIPHERAL_SUPERIOR_TEMPORAL("Mid-peripheral-superior temporal"),
		MID_PERIPHERAL_TEMPORAL("Mid-peripheral-temporal"),
		MID_PERIPHERAL_INFERIOR_TEMPORAL("Mid-peripheral-inferior temporal"),
		MID_PERIPHERAL_INFERIOR("Mid-peripheral-inferior"),
		MID_PERIPHERAL_INFERIOR_NASAL("Mid-peripheral-inferior nasal"),
		MID_PERIPHERAL_NASAL("Mid-peripheral-nasal"),
		MID_PERIPHERAL_SUPERIOR_NASAL("Mid-peripheral-superior nasal"),
		PERIPHERAL_SUPERIOR("Peripheral-superior"),
		PERIPHERAL_SUPERIOR_TEMPORAL("Peripheral-superior temporal"),
		PERIPHERAL_TEMPORAL("Peripheral-temporal");

	private String value;

	EnumCM_OphthalmicImagePosition(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
